YAFLogo

DevilsKnight
  • DevilsKnight
  • 51.4% (Neutral)
  • YAF Forumling Topic Starter YAF Version: 3.1.15
7 months ago
Hi,

I'm currently trying to install a new version of YAF, after setting everything up as per the instructions.

I go to the install subdomain, the installation wizard pops up, I selected the language I want (English) press next and then nothing happens.

Anyone had this issue before?

Thanks,

Sponsor
tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
7 months ago
Looks like there is an issue with the javascript. Issue will be fixed with the next release (3.2.1)
DevilsKnight
  • DevilsKnight
  • 51.4% (Neutral)
  • YAF Forumling Topic Starter YAF Version: 3.1.15
7 months ago

Looks like there is an issue with the javascript. Issue will be fixed with the next release (3.2.1)

Originally Posted by: tha_watcha 

Did this issue also exist with 3.1.5 as I was unable to install that version either.

Thanks,

Edit:

Just looked back on GitHub, been like this since 27th August 2023, if anyone else has had a similar problem.

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
7 months ago
Correct the 3.1.15 version also has the same issue. You can manually download the updated j file https://raw.githubusercontent.com/YAFNET/YAFNET/netfx/yafsrc/YetAnotherForum.NET/Scripts/InstallWizard.comb.min.js  

then the install should work

ParallaxX
  • ParallaxX
  • 51.4% (Neutral)
  • YAF Forumling YAF Version: 3
7 months ago
I've updated the js file, but still error when install
tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
7 months ago

I've updated the js file, but still error when install

Originally Posted by: ParallaxX 

It's possible that you need to clear the browser cache or make a forced reload with ctrl + F5 in order to reload the js file in the browser.

ipekcan
  • ipekcan
  • 52.6% (Neutral)
  • YAF Forumling YAF Version: 3.2.1
6 months ago
I have the same issue and updated js file does not solve the error.

Thanks in advance.

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
6 months ago

I have the same issue and updated js file does not solve the error.

Thanks in advance.

Originally Posted by: ipekcan 

Which browser and which version?

What Java script error are you getting in the browser console?

ora
  • ora
  • 78.8% (Friendly)
  • YAF Forumling YAF Version: v4 beta
6 months ago
I'm getting a similar issue. This is from the very start. I don't even get language selection.

EDIT to add: This has happened in both Firefox and Chromium Edge.

UserPostedImage


tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
6 months ago

I'm getting a similar issue. This is from the very start. I don't even get language selection.

EDIT to add: This has happened in both Firefox and Chromium Edge.

UserPostedImage

Originally Posted by: ora 

Are you getting any JavaScript errors?

I have not yet documented how to compile the yaf 4.0 source code. To compile the js files you need to have nodejs installed and run from the source folder yetanotherforum.net

npm install

And then 

grunt

ora
  • ora
  • 78.8% (Friendly)
  • YAF Forumling YAF Version: v4 beta
6 months ago

I'm getting a similar issue. This is from the very start. I don't even get language selection.

EDIT to add: This has happened in both Firefox and Chromium Edge.

UserPostedImage

Originally Posted by: tha_watcha 

Are you getting any JavaScript errors?

I have not yet documented how to compile the yaf 4.0 source code. To compile the js files you need to have nodejs installed and run from the source folder yetanotherforum.net

npm install

And then 

grunt

Originally Posted by: ora 

I figured that one out on my own. 🙂 No javascript errors, the console is completely blank.


ipekcan
  • ipekcan
  • 52.6% (Neutral)
  • YAF Forumling YAF Version: 3.2.1
6 months ago

I have the same issue and updated js file does not solve the error.

Thanks in advance.

Originally Posted by: tha_watcha 

Which browser and which version?

What Java script error are you getting in the browser console?

Originally Posted by: ipekcan 

Both Chrome (version 120.0.6099.110) and edge (version 120.0.2210.61)

while opening 1st page : "InstallBackground.jpg:1 

 Failed to load resource: the server responded with a status of 404 (Not Found)" &&

"Failed to load resource: the server responded with a status of 404 (Not Found) :5554/favicon.ico:1"

 

ora
  • ora
  • 78.8% (Friendly)
  • YAF Forumling YAF Version: v4 beta
6 months ago
Do V4 and V3 use the same installer CSS? Look at this:

UserPostedImage


tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
6 months ago
there should be almost the same, the bootstrap section should be the same.
tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 4.0.0 rc 2
6 months ago

I have the same issue and updated js file does not solve the error.

Thanks in advance.

Originally Posted by: ipekcan 

I updated the js file again. the postback issue after the language selection should be fixed now.